Kaspersky
Question

Automatic app update (win10) - how to avoid to update some application

  • 5 September 2019
  • 8 replies
  • 128 views

Since Mozilla changed the way the extensions work I need to avoid that Thunderbird will be update and I must keep it at rel. 60.0 but Kaspersky is updating it automatically.

How can I exclude this application to be updated or choose not to have an automatic update refusing it when a new release is published?

It is really important as I have several actions base on extensions that are not working anymore...

Thank you!!

8 replies

Userlevel 7
Badge +5
Since Mozilla changed the way the extensions work I need to avoid that Thunderbird will be update, keep it at rel. 60.0. How can I exclude this application to be updated or choose not to have an automatic update refusing it when a new release is published?

Hello @DigitalMauro,
Welcome!
Configure KIS Software Updater to exclude Thunderbird.
Do not update this application
Also, check Thunderbird, does it have "auto-update" disabled?


Best regards

Since Mozilla changed the way the extensions work I need to avoid that Thunderbird will be update, keep it at rel. 60.0.
How can I exclude this application to be updated or choose not to have an automatic update refusing it when a new release is published?

It is really important as I have several actions base on extensions that are not working anymore...

Thank you!!
Hello @DigitalMauro,
Welcome!
Configure KIS Software Updater to exclude Thunderbird.Do not update this application Best regards


Thank you Flood.

But this screen should appear when the app is to be updated. In my case it does the update without asking me, so I can't stop it.
I found a page in settings (Settings/Protection/Software Updater) and I cleared the tick box for automatic update. But this box seems to relate to updates that doesn't require license agreements, not all. Right?
And I'm still not allowed to include Thunderbird in the Exclusion list.
Maybe the final solution is to disable Updates search at all.

Thank you.
Yes, it is disabled as I thought this was the reason at the beginning.
Thx.
Userlevel 7
Badge +5
(1) (Thunderbird update) screen should appear when the app is to be updated. In my case it does the update without asking me, so I can't stop it.
Hello @DigitalMauro,
  1. I'm not clear why Thunderbird Update config options are unavailable (for you), can you explain more please & post an image of what you see please?
  2. Also, have you gone thru Thunderbird "Troubleshooting Information", processes?
  3. If Thunderbird is set to auto-update, KIS Software Updater is not the issue.
Please let me know?
Thank you
Hi Flood.
I was working on this issue a little bit more, but I was unable to find what is making the update.

I had to act quickly with Thunderbird installation (I reinstalled it from scratch to version 60.0) because it has the flag "auto update" set to yes by default, so as long as you end the installation process it looks for an update and installs it... So I worked offline to avoid it and set the flag to off.

I checked the update app status for Thunderbird in KIS, and it is off. So I agree with you, the issue is NOT KIS.

But at the end, I found version 68.8 and now 68.9 installed and I don't know how.

To avoid to spend more time on this, I just set the flag related to the extension's version control in Thunderbird to NO. So they still work even if the App is being updated...

Not the right solution, I know, but it is working for the time being. Looking for an alternative way of working.

Thank you for your help anyway.

Best regards.
Userlevel 7
Badge +5
DigitalMauro wrote:I was working on this issue a little bit more, but I was unable to find what is making the update.
I had to act quickly with Thunderbird installation (I reinstalled it from scratch to version 60.0) because it has the flag "auto update" set to yes by default, so as long as you end the installation process it looks for an update and installs it... So I worked offline to avoid it and set the flag to off.
I checked the update app status for Thunderbird in KIS, and it is off. So I agree with you, the issue is NOT KIS.
But at the end, I found version 68.8 and now 68.9 installed and I don't know how.
To avoid to spend more time on this, I just set the flag related to the extension's version control in Thunderbird to NO. So they still work even if the App is being updated...
Not the right solution, I know, but it is working for the time being. Looking for an alternative way of working.


Hello @DigitalMauro.
Thanks for posting back🙏🏽.
I'm more than happy to keep working with you to figure this out, all I ask for please are images of Thunderbird Update config options & Thunderbird settings and "which" extension are you referring to when you say "I just set the flag related to the extension's version control in Thunderbird" ?
We see through your eyes.
There may well be a simple explanation.
Without visuals, it's incredibly hard 1. to replicate, 2. to analyze.
Please post back?
Thank you.
I fully understand you Flood and agree that you need to need more about this by using images.

But, for the time being I can't dedicate more time to this, so I have to accept the temporary solution until it works...

Anyway, just to be more complete:

the following is the parameter that forces TB to accept old versions of extensions. Of course, when the old method will be removed, even this will not work anymore....



And, here you can see that I have set the automatic update to NO...



This is how KIS is set.



but the version was changed twice since I installed the 68.0



Cheers.
Userlevel 7
Badge +5
I fully understand you Flood and agree that you need to need more about this by using images.
But, for the time being I can't dedicate more time to this, so I have to accept the temporary solution until it works...
Anyway, just to be more complete:
the following is the parameter that forces TB to accept old versions of extensions. Of course, when the old method will be removed, even this will not work anymore....
And, here you can see that I have set the automatic update to NO...
This is how KIS is set.
But the version was changed twice since I installed the 68.0

Hello @DigitalMauro,
Thank you for taking the time to add the information & visuals, it helps a lot👍🏽.
It's perfectly fine to stop, we have no expectations, we're always guided by the requestor.
I do however, have a question, using config, why not set all update parameters to "disabled/false", or is your assessment - the issue is caused by extensions.strictCompatibility alone? 🤔
Don't feel any pressure to answer, only if you have time.
Best regards🙏🏽

Reply / Ответить